Subject: Re: [bug#39617] [PATCH 1/2] gnu: Add linux-libre-pinebook-pro.

From: Jan Nieuwenhuizen <[email-masked]>
Date: Thu, 20 Feb 2020 07:26:00 +0100

Vagrant Cascadian writes:

> Successfully booted! Thanks for your work on this! This is the first
> time I've ever booted a new machine with Guix rather than Debian
> proper. :)

\o/

> Also the very first time I bootstrapped a Guix system from the guix
> packages built for Debian! Need to just go ahead and upload those soon.
>
> relatively minor issue below:
>
> On 2020-02-15, Jan Nieuwenhuizen wrote:
>> +;; Distribute a patched version of deblob-5.5 to accomodate for
>> +;; the file rename
>> +;;    drivers/crypto/ccp/psp-dev.c -> drivers/crypto/ccp/sev-dev.c
>> +(define (deblob-scripts-pinebook-pro version)
> ...
>> +        (origin
>> +          (method url-fetch)
>> +          (uri (string-append "https://linux-libre.fsfla.org"
>> +                              "/pub/linux-libre/releases/" version "-gnu/"
>> +                              "deblob-check"))
>
> I had to change version to download deblob-check to "5.5.1" as
> apparently the 5.5.0 version was removed from (or never present on)
> linux-libre.fsfla.org.

Hmm; could be anything -- I'm hoping that we can move to a released
tarball + patches some time soon anyway; this one of th ugly bits.

Please feel free to push a fix!

Greetings
janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com